<article id="post-<?php the_id(); ?>" <?php post_class(); ?>>

	<header class="entry-header">
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s">', esc_url(get_permalink()) ),'</a></h1>'); ?>
		<small>Posted on <?php the_date(); ?> at <?php the_time(); ?><?php the_category(); ?></small>
	</header><!-- .entry-header -->

	<div class="row">
	
	<?php if(has_post_thumbnail()): ?>
		
		<div class="col-xs-12 col-sm-4">
			<div class="thumbnail"><?php the_post_thumbnail('thumbnail'); ?></div>
		</div><!-- .col-xs-12/sm-4 -->
		<div class="col-xs-12 col-sm-8">
            <?php the_tags( $before, $sep, $after ); ?> 
			<?php the_content(); ?>
		</div><!-- .col-xs-12/sm-8 -->
		
	<?php else: ?>
		<div class="col-xs-12">
            <?php the_tags( $before, $sep, $after ); ?> 
			<?php the_content(); ?>
		</div><!-- .col-xs-12 -->        
	<?php endif; ?>
        
    <?php wp_link_pages( array(
	'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'authorauthor' ) . '</span>',
	'after'       => '</div>',
	'link_before' => '<span>',
	'link_after'  => '</span>',
	) );
?>
				
	</div><!-- .row -->

	
</article>