<?php

/*	
=============================================================
	Include Scripts
=============================================================
*/

if ( ! isset( $content_width ) ) {
	$content_width = 600;
}


/*	
=============================================================
	Include Scripts
=============================================================
*/

	function author_script_enqueue(){
	
	// css

		wp_enqueue_style('bootstrap', get_template_directory_uri().'/css/bootstrap.min.css', array(), '3.3.7', 'all');
		wp_enqueue_style('customstyle', get_template_directory_uri().'/css/authorauthor.css', array(), '1.0.0', 'all');
	
	//js	
	
		wp_enqueue_script('jquery');
		wp_enqueue_script('bootstrap-js', get_template_directory_uri().'/js/bootstrap.min.js', array(), '3.3.7', 'true');	
		wp_enqueue_script('customjs', get_template_directory_uri().'/js/authorauthor.js', array(), '1.0.0', 'true');

	}
	
	add_action('wp_enqueue_scripts', 'author_script_enqueue');
	
/*	
=============================================================
	Custom Header & Footer Navigation Menus
=============================================================
*/
	
	function authorauthor_theme_setup(){
	
		add_theme_support('menus');
		
		register_nav_menu('primary', 'Primary Header Navigation.');
		register_nav_menu('secondary', 'Secondary Footer Navigation.');
	}
	
	add_action('init', 'authorauthor_theme_setup');
	

/*	
=============================================================
	Theme Support Functions
=============================================================
*/	
	
	add_theme_support('custom-background');
	add_theme_support('custom-header', array('video' => true,
));
	add_theme_support('post-thumbnails');
	add_theme_support('post-formats', array('aside', 'quote', 'link', 'status','gallery', 'image', 'video', 'audio', 'chat'));
	add_theme_support( 'custom-logo' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'html5', array( 'gallery', 'caption', 'search-form', 'comment-form', 'comment-list' ) );
    add_theme_support( 'title-tag' );
	
/*	
=============================================================
	Sidebars & Widgets Functions
=============================================================
*/

function authorauthor_widget_setup() {
	
	register_sidebar(
		array(	
			'name'	=> 'Sidebar',
			'id'	=> 'sidebar-1',
			'class'	=> 'custom',
			'description' => 'Primary Sidebar',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		)
	);
	
}
add_action('widgets_init','authorauthor_widget_setup');

/*	
=============================================================
	Comment Reply Functions
=============================================================
*/

function authorauthor_enqueue_comments_reply() {

    if( is_singular() && comments_open() && ( get_option( 'thread_comments' ) == 1) ) {
        // Load comment-reply.js (into footer)
        wp_enqueue_script( 'comment-reply', 'wp-includes/js/comment-reply', array(), false, true );
    }
}
add_action(  'wp_enqueue_scripts', 'authorauthor_enqueue_comments_reply' );

/*	
=============================================================
	Get Tags Functions
=============================================================
*/
/*
function authorauthor_tags() {
    $wpbtags =  get_tags();
        foreach ($wpbtags as $tag) {
                    $string .= '<span class="tagbox"><a class="taglink" href="'. get_tag_link($tag->term_id) .'">'. $tag->name . '</a><span class="tagcount">'. $tag->count .'</span></span>' . "\n";
                                    }
                    return $string;
}
add_action('wpbtags' , 'authorauthor_tags' );
*/